# saga::detail::steerable< Derived > Struct Template Reference

The SAGA steerable interface. More...

`#include <steerable.hpp>`

Inheritance diagram for saga::detail::steerable< Derived >:

[legend]

List of all members.

## Public Member Functions
bool | add_metric (saga::metric m)
| Adds a metric to this object instance.
void | remove_metric (std::string name)
| Removes a metric from this object instance.
void | fire_metric (std::string name)
| Push a new metric value to the backend.

## Detailed Description

### template<typename Derived>
struct saga::detail::steerable< Derived >

The SAGA steerable interface.

TODO .

## Member Function Documentation

template<typename Derived>

bool saga::detail::steerable< Derived >::add_metric | ( | saga::metric | m | ) | `[inline]`

Adds a metric to this object instance.

Parameters:

  | m | The metric to add

TODO .

References saga::IncorrectState.

template<typename Derived>

void saga::detail::steerable< Derived >::remove_metric | ( | std::string | name | ) | `[inline]`

Removes a metric from this object instance.

Parameters:

  | name | The metric's name

TODO .

References saga::IncorrectState.

template<typename Derived>

void saga::detail::steerable< Derived >::fire_metric | ( | std::string | name | ) | `[inline]`

Push a new metric value to the backend.

Parameters:

  | name | The metric to be fired

TODO .

References saga::IncorrectState.

The documentation for this struct was generated from the following files:

- steerable.hpp
- steerable_impl.hpp